SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Microsoft Word Vendors:   Microsoft
Microsoft Word Memory Corruption Error Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1020447
SecurityTracker URL:  http://securitytracker.com/id/1020447
CVE Reference:   CVE-2008-2244   (Links to External Site)
Updated:  Aug 12 2008
Original Entry Date:  Jul 9 2008
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 2002 SP3, 2003 SP2, 2003 SP3
Description:   A vulnerability was reported in Microsoft Word. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted document that, when loaded by the target user, will trigger a memory corruption error and execute arbitrary code on the target system. The code will run with the privileges of the target user.

Word 2002 SP3 is vulnerable.

The following versions are not affected:

- Microsoft Office Word 2000 Service Pack 3
- Microsoft Office Word 2007 and Microsoft Office Word 2007 Service Pack 1
- Microsoft Office Word Viewer 2003 and Microsoft Word Viewer 2003 Service Pack 3
- Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats and Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 1
- Microsoft Office for Mac 2004
- Microsoft Office for Mac 2008

In their original advisory, Microsoft reported that Microsoft Office Word 2003 Service Pack 2 and Microsoft Office Word 2003 Service Pack 3 were not affected. However, in their bulletin, they have provided a fix for those versions.

This vulnerability is being actively exploited in limited situations.

Impact:   A remote user can create a file that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued the following fixes:

Microsoft Office XP Service Pack 3 (Microsoft Word 2002 Service Pack 3):

http://www.microsoft.com/downloads/details.aspx?FamilyId=c7146dfc-e1be-4d13-877b-1d9bcacc4a64

Microsoft Office 2003 Service Pack 2 (Microsoft Word 2003 Service Pack 2):

http://www.microsoft.com/downloads/details.aspx?FamilyId=13a37b76-9fec-426f-8176-3c95f934efe0

Microsoft Office 2003 Service Pack 3 (Microsoft Word 2003 Service Pack 3):

http://www.microsoft.com/downloads/details.aspx?FamilyId=13a37b76-9fec-426f-8176-3c95f934efe0

A restart is not required.

The Microsoft advisory is available at:

http://www.microsoft.com/technet/security/bulletin/ms08-042.mspx

Vendor URL:  www.microsoft.com/technet/security/bulletin/ms08-042.mspx (Links to External Site)
Cause:   Access control error
Underlying OS:   Windows (Any)

Message History:   None.


 Source Message Contents

Date:  Tue, 8 Jul 2008 22:44:55 -0400
Subject:  Microsoft Word


http://www.microsoft.com/technet/security/advisory/953635.mspx

CVE-2008-2244
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC